> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Shipping

> List all shipping rules defined by carrier




## OpenAPI

````yaml /openapi/scx/seller.json get /v1/seller/meta/{channel}/shipping-rules
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/meta/{channel}/shipping-rules:
    get:
      tags:
        - Meta
      summary: Channel Shipping
      description: |
        List all shipping rules defined by carrier
      operationId: GetChannelShippingRules
      parameters:
        - in: path
          required: true
          name: channel
          description: >-
            Channel identifier the shipping rules are requested for (e.g.
            `MBDCOM`)
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/ChannelShippingRuleMeta'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  responses:
    ChannelShippingRuleMeta:
      description: Shipping rules supported by the channel
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ChannelShippingRuleMeta'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    ChannelShippingRuleMeta:
      description: >-
        Shipping rules supported by the channel — list of carriers and the
        regions they serve.
      type: object
      title: ChannelShippingRuleMeta
      properties:
        supportedCarrierList:
          type: array
          minItems: 0
          items:
            $ref: '#/components/schemas/SupportedCarrier'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SupportedCarrier:
      type: object
      required:
        - carrierId
      properties:
        carrierId:
          type: string
          minLength: 1
          maxLength: 100
          example: C102
        displayName:
          type: string
          maxLength: 150
          example: Deutsche Post
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````